Reply
Thread Tools
Posts: 45 | Thanked: 3 times | Joined on May 2009 @ Beijing, China
#1
hi, all! when i install maemo sdk for arm in scratchbox(host is ubuntu 10.04), many errors occurred:

dpkg: dependency problems prevent configuration of libgupnp-1.0-3:
libgupnp-1.0-3 depends on libuuid1; however:
Package libuuid1 is not configured yet.
libgupnp-1.0-3 depends on shared-mime-info; however:
Package shared-mime-info is not configured yet.
dpkg: error processing libgupnp-1.0-3 (--configure):
...
dpkg: too many errors, stopping
Errors were encountered while processing:
hal
sudo
libuuid1
osso-af-startup
desktop-file-utils
...
Processing was halted because there were too many errors.
E: Sub-process /scratchbox/devkits/debian-etch/bin/dpkg returned an error code (1)

anyone knows how to fix it? Thanks!
 

The Following User Says Thank You to chuan huang For This Useful Post:
MohammadAG's Avatar
Posts: 2,473 | Thanked: 12,206 times | Joined on Oct 2009 @ Jerusalem, PS/IL
#2
Same errors here, this needs to be fixed asap.
BTW the error starts with
Setting up shared-mime-info (0.30-2maemo5+0m5) ...
mmap: Operation not permitted
dpkg: error processing shared-mime-info (--configure):
subprocess post-installation script returned error exit status 255
Setting up sudo (1.6.8p12-4osso22+0m5) ...
Updating sudoers
mmap: Operation not permitted
/etc/sudoers.d/01sudo changes break sudoers
and the rest just follow from those two packages

Edit: full log of failure http://pastebin.com/pUMa9Uhq
 

The Following User Says Thank You to MohammadAG For This Useful Post:
Posts: 45 | Thanked: 3 times | Joined on May 2009 @ Beijing, China
#3
Originally Posted by MohammadAG View Post
Same errors here, this needs to be fixed asap.
BTW the error starts with

and the rest just follow from those two packages

Edit: full log of failure http://pastebin.com/pUMa9Uhq
thanks! hope it will not be too long.
 
Posts: 17 | Thanked: 43 times | Joined on Apr 2010
#4
http://zokier.net/stuff/maemo-sdk-in...wizard_5.0.log

probably related, on ubuntu lucid lynx
 
Posts: 45 | Thanked: 3 times | Joined on May 2009 @ Beijing, China
#5
Originally Posted by zokier View Post
http://zokier.net/stuff/maemo-sdk-in...wizard_5.0.log

probably related, on ubuntu lucid lynx
exactly as i has encountered! maybe this is related to the new version of ubuntu
 
Posts: 198 | Thanked: 76 times | Joined on Mar 2010
#6
Originally Posted by chuan huang View Post
exactly as i has encountered! maybe this is related to the new version of ubuntu
i have some dim recollections about sbox being designed for 8.04 -- that would be exactly two yeasr before the current 10.04. but i may be wrong.

as for the recurrent
mmap: operation not permitted
i recollect a similar error message when using flash with jffs. jffs apparently lacked (lacks?) features necessary for mmap.
what file systems are you guys using?

in case of eg
Setting up packagename (version) ...
mmap: Operation not permitted
dpkg: error processing packagename:
subprocess post-installation script returned error exit status 255

you could check
/var/lib/dpkg/info/packagename.postinst
that's the script executed, for anything interesting.

although from the numerous mmap errors, i guess it has to do with either the file system or a missing variable below /sys or /proc.
 
andy80's Avatar
Posts: 131 | Thanked: 150 times | Joined on Jan 2007 @ Pistoia, Italy
#7
Hi all,

I'm getting exactly the same errors, you can find them here: http://pastebin.com/QPhF703E

and I'm using Ubuntu lucid 10.04 too

If anyone of you knows how to fix this, please tell me.

Thanks!
__________________
Andrea Grandi - Maemo Council member
Maemo profile: http://maemo.org/profile/view/andy80/
website: http://www.andreagrandi.it
LastGo - Last.fm client for Maemo/MeeGo
 
andy80's Avatar
Posts: 131 | Thanked: 150 times | Joined on Jan 2007 @ Pistoia, Italy
#8
I've fixed the problem!

1) Use Synaptic and uninstall all scratchbox* packages

2) Remove /scratchbox directory

3) sudo vim /etc/sysctl.conf

4) Add this line: vm.mmap_min_addr = 0

5) Save and exit

6) sudo sysctl -p

That's all!

At this point just install Maemo SDK in the usual way and it will work. At least it did for me.
__________________
Andrea Grandi - Maemo Council member
Maemo profile: http://maemo.org/profile/view/andy80/
website: http://www.andreagrandi.it
LastGo - Last.fm client for Maemo/MeeGo
 

The Following 15 Users Say Thank You to andy80 For This Useful Post:
MohammadAG's Avatar
Posts: 2,473 | Thanked: 12,206 times | Joined on Oct 2009 @ Jerusalem, PS/IL
#9
Originally Posted by andy80 View Post
I've fixed the problem!

1) Use Synaptic and uninstall all scratchbox* packages

2) Remove /scratchbox directory

3) sudo vim /etc/sysctl.conf

4) Add this line: vm.mmap_min_addr = 0

5) Save and exit

6) sudo sysctl -p

That's all!

At this point just install Maemo SDK in the usual way and it will work. At least it did for me.
Wonderful find mate! Works for me after doing it.
Now in wiki: http://wiki.maemo.org/Documentation/...d_distribution
 

The Following 2 Users Say Thank You to MohammadAG For This Useful Post:
Posts: 45 | Thanked: 3 times | Joined on May 2009 @ Beijing, China
#10
Originally Posted by andy80 View Post
I've fixed the problem!

1) Use Synaptic and uninstall all scratchbox* packages

2) Remove /scratchbox directory

3) sudo vim /etc/sysctl.conf

4) Add this line: vm.mmap_min_addr = 0

5) Save and exit

6) sudo sysctl -p

That's all!

At this point just install Maemo SDK in the usual way and it will work. At least it did for me.
thank you very much!
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 19:28.